cfg_if::cfg_if! {
    if #[cfg(feature = "ssr")] {
        use once_cell::sync::Lazy;
        use surrealdb::engine::remote::ws::{Client, Ws};
        use surrealdb::opt::auth::Root;
        use surrealdb::Surreal;
        use leptos::{ServerFnError};

        pub static DB: Lazy<Surreal<Client>> = Lazy::new(Surreal::init);

        pub mod schemas;
    }
}

#[cfg(feature = "ssr")]
pub async fn connect() -> Result<(), ServerFnError> {
    DB.connect::<Ws>("localhost:80").await?;

    DB.signin(Root {
        username: "root",
        password: "root",
    })
    .await?;

    DB.use_ns("wrb").use_db("timings").await?;

    Ok(())
}
